%define pkg_name spiralmodular

Summary:	Object oriented modular softsynth / sequencer / sampler
Name:		spiralsynthmodular
Version:	0.2.2a
Release:	3mdk
URL:		http://www.pawfal.org/Software/SSM/
Source0:	%{pkg_name}-%{version}.tar.bz2
Source1: 	SpiralLogo48.png
Source2: 	SpiralLogo32.png
Source3: 	SpiralLogo16.png
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	fltk-devel jackit-devel 
BuildRequires:	ladspa-devel libalsa-devel libsndfile-devel
Provides:	SpiralSynthModular
Obsoletes:	SpiralSynthModular

%description
SpiralSynthModular (or SSM) is a object orientated modular softsynth
/ sequencer / sampler.

Audio or control data can be freely passed between the plugins, its
all treated the same. Data can also be fed back on itself for chaotic
effects.

%prep
%setup -q -n %pkg_name-0.2.2

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/{%{_bindir},%{_libdir}}
%makeinstall

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Spiral Modular Synth" \
longtitle="Spiral Modular Software Synthesizer" \
command="/usr/bin/%{name}" \
icon="%{name}.png"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README Examples
%{_bindir}/spiralsynthmodular
%{_libdir}/SpiralPlugins
%{_menudir}/%{name}
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Sep 06 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.2a-3mdk
- annual rebuild

* Mon Aug 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2a-2mdk
- rebuild for new g++

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.2.2a-1mdk
- 0.2.2a

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.2.1-1mdk
- 0.2.1
- remove patches
- use spiral icon

* Mon Feb 02 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.0-1mdk
- CCRMA->contrib
- Add menu

* Sat Jan  4 2003 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0
- updated to 0.2.2
- added JackPlugin.so to the list of patches to list
* Sun Dec  8 2002 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0rc2
- jack enabled with better ladspa support: 0.2.0 release candidate 2 from:
  http://sourceforge.net/project/showfiles.php?group_id=62620
  (thanks to Steve Harris for the link)
* Mon Oct 21 2002 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-1
- updated to 0.1.1
* Thu Jun 27 2002 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-2
- depend explicitly on the fltk version we compiled with
* Fri Jun 21 2002 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- upgraded to 0.1.0
- added patches to make jack plugin compile with jack 0.34
* Wed Apr 24 2002 Fernando Pablo Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build.
- added patch for jack compilation
